import greenfoot.*;

/**
 * The body of a deceased Creature. Can be eaten by creatures.
 * After a while it wil decompose and dissapear.
 * 
 * @author TriMill
 * @version 1.0.1
 */
public class DeadCreature extends Actor
{
    /**
     * How long until it decomposes
     */
    private int timer = 4500;
    
    /**
     * Check to see if it is past it's shelf life.
     */
    public void act() 
    {
        if(timer <= 0)
            getWorld().removeObject(this);
        timer--;
    }    
}
